﻿#region File Header
//-----------------------------------------------------------------------------
// SibLib
//
// Copyright (C) 2010 Julien Villers
// This program is distributed under the terms of the 
// GNU Lesser General Public License (LGPL).
// See Docs/lgpl.txt and Docs/gpl.txt
//-----------------------------------------------------------------------------
#endregion

using Microsoft.Xna.Framework;
using SibLib.Entities;

namespace SibLib.Render
{
    public class CameraFixed3rd : Camera
    {
        private GameplayObject3D m_Target;

        public CameraFixed3rd(GameplayObject3D target) :
            base()
        {
            m_Target = target;
        }

        public void Update()
        {
            m_WorldMatrix = Matrix.CreateTranslation(-m_Target.Position.X, 0.0f, -m_Target.Position.Z);
        }
    }
}
