#region File Header
//-----------------------------------------------------------------------------
// SibLib
//
// Copyright (C) 2010 Julien Villers
// This program is distributed under the terms of the 
// GNU Lesser General Public License (LGPL).
// See Docs/lgpl.txt and Docs/gpl.txt
//
// This file is based on the NetRumble starter kit (C) Microsoft.
//-----------------------------------------------------------------------------
#endregion

#region Using Statements
using System;
#endregion

namespace SibLib.Particles
{
    /// <summary>
    /// All of the particle effects that the game currently supports.
    /// </summary>
    public enum ParticleEffectType
    {
        ShipExplosion,
        LaserExplosion,
        AsteroidExplosion,
        TorpedoTrail,
    }
}
